LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Attributes | List of all members
_typelib_CompoundTypeDescription Struct Reference

Type description for exception types. More...

`#include <typedescription.h>`

## Public Attributes
typelib_TypeDescription | aBase
| inherits all members of typelib_TypeDescription More...
struct _typelib_CompoundTypeDescription * | pBaseTypeDescription
| pointer to base type description, else 0 More...
sal_Int32 | nMembers
| number of members More...
sal_Int32 * | pMemberOffsets
| byte offsets of each member including the size the base type More...
typelib_TypeDescriptionReference ** | ppTypeRefs
| members of the struct or exception More...
rtl_uString ** | ppMemberNames
| member names of the struct or exception More...

## Detailed Description

Type description for exception types.

## Member Data Documentation

typelib_TypeDescription _typelib_CompoundTypeDescription::aBase

inherits all members of typelib_TypeDescription

sal_Int32 _typelib_CompoundTypeDescription::nMembers

number of members

struct _typelib_CompoundTypeDescription* _typelib_CompoundTypeDescription::pBaseTypeDescription

pointer to base type description, else 0

sal_Int32* _typelib_CompoundTypeDescription::pMemberOffsets

byte offsets of each member including the size the base type

rtl_uString** _typelib_CompoundTypeDescription::ppMemberNames

member names of the struct or exception

typelib_TypeDescriptionReference** _typelib_CompoundTypeDescription::ppTypeRefs

members of the struct or exception

The documentation for this struct was generated from the following file:

- typelib/typedescription.h